Bug 853379 - Review Request: perl-Net-CLI-Interact - Toolkit for CLI Automation
Review Request: perl-Net-CLI-Interact - Toolkit for CLI Automation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 853378
Blocks: 853380
  Show dependency treegraph
 
Reported: 2012-08-31 06:00 EDT by Simone Caronni
Modified: 2012-09-23 14:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simone Caronni 2012-08-31 06:00:03 EDT
Spec URL: http://slaanesh.fedorapeople.org/perl-Net-CLI-Interact.spec
SRPM URL: http://slaanesh.fedorapeople.org/perl-Net-CLI-Interact-1.122100-1.fc17.src.rpm
Description: This module exists to support developers of applications and libraries which
must interact with a command line interface. This module aims to provide a
simple and manageable interface to CLI interactions, supporting:
- SSH, Telnet and Serial-Line connections
- Unix and Windows support
- Reuseable device command phrasebooks
Fedora Account System Username: slaanesh
Comment 1 Simone Caronni 2012-09-03 10:46:46 EDT
Regenerated spec file with cpanspec:

Spec URL: http://slaanesh.fedorapeople.org/perl-Net-CLI-Interact.spec
SRPM URL: http://slaanesh.fedorapeople.org/perl-Net-CLI-Interact-1.122100-2.fc17.src.rpm
Comment 2 Jitka Plesnikova 2012-09-04 04:20:07 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[-]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
* Missing BuildRequires
  perl(IO::Pty) - ./lib/Net/CLI/Interact/Transport/Role/ConnectCore.pm:47

Please update BR.

Package is APPROVED.
It could be commit when perl-Log-Dispatch-Configurator-Any is in
repository.

Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Comment 3 Simone Caronni 2012-09-04 05:00:55 EDT
(In reply to comment #2)
> Issues:
> * Missing BuildRequires
>   perl(IO::Pty) - ./lib/Net/CLI/Interact/Transport/Role/ConnectCore.pm:47
> Please update BR.

Thanks for the review, updated my local copy. It will be in git.
Comment 4 Simone Caronni 2012-09-04 05:01:53 EDT
New Package SCM Request
=======================
Package Name: perl-Net-CLI-Interact
Short Description: Toolkit for CLI Automation
Owners: slaanesh
Branches: f16 f17 f18 el6
InitialCC:
Comment 5 Gwyn Ciesla 2012-09-04 09:48:16 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-09-04 10:57:49 EDT
perl-Log-Dispatch-Configurator-Any-1.110690-5.fc16,perl-Net-Appliance-Session-3.122100-2.fc16,perl-Net-CLI-Interact-1.122100-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Log-Dispatch-Configurator-Any-1.110690-5.fc16,perl-Net-Appliance-Session-3.122100-2.fc16,perl-Net-CLI-Interact-1.122100-2.fc16
Comment 7 Fedora Update System 2012-09-04 10:58:30 EDT
perl-Log-Dispatch-Configurator-Any-1.110690-5.fc17,perl-Net-Appliance-Session-3.122100-2.fc17,perl-Net-CLI-Interact-1.122100-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Log-Dispatch-Configurator-Any-1.110690-5.fc17,perl-Net-Appliance-Session-3.122100-2.fc17,perl-Net-CLI-Interact-1.122100-2.fc17
Comment 8 Fedora Update System 2012-09-04 10:59:07 EDT
perl-Log-Dispatch-Configurator-Any-1.110690-5.fc18,perl-Net-Appliance-Session-3.122100-2.fc18,perl-Net-CLI-Interact-1.122100-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Log-Dispatch-Configurator-Any-1.110690-5.fc18,perl-Net-Appliance-Session-3.122100-2.fc18,perl-Net-CLI-Interact-1.122100-2.fc18
Comment 9 Fedora Update System 2012-09-04 11:02:34 EDT
perl-Log-Dispatch-Configurator-Any-1.110690-5.el6,perl-Net-Appliance-Session-3.122100-2.el6,perl-Net-CLI-Interact-1.122100-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Log-Dispatch-Configurator-Any-1.110690-5.el6,perl-Net-Appliance-Session-3.122100-2.el6,perl-Net-CLI-Interact-1.122100-2.el6
Comment 10 Fedora Update System 2012-09-04 12:53:56 EDT
perl-Log-Dispatch-Configurator-Any-1.110690-5.fc18, perl-Net-Appliance-Session-3.122100-2.fc18, perl-Net-CLI-Interact-1.122100-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-09-17 13:44:21 EDT
perl-Log-Dispatch-Configurator-Any-1.110690-5.fc17, perl-Net-Appliance-Session-3.122100-2.fc17, perl-Net-CLI-Interact-1.122100-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-09-17 14:02:34 EDT
perl-Log-Dispatch-Configurator-Any-1.110690-5.fc16, perl-Net-Appliance-Session-3.122100-2.fc16, perl-Net-CLI-Interact-1.122100-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-09-17 18:47:53 EDT
perl-Log-Dispatch-Configurator-Any-1.110690-5.fc18, perl-Net-Appliance-Session-3.122100-2.fc18, perl-Net-CLI-Interact-1.122100-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2012-09-23 14:28:31 EDT
perl-Log-Dispatch-Configurator-Any-1.110690-5.el6, perl-Net-Appliance-Session-3.122100-2.el6, perl-Net-CLI-Interact-1.122100-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.